=== gemrb/override/iwd2/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (iwd2)
