=== debian/control ===
Source: gemrb
Section: user/games
Priority: extra
Maintainer: Nerdknight <nerdknight@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev
Standards-Version: 3.7.2
Homepage: http://gemrb.sourceforge.net

Package: gemrb
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  GemRB is an open-source implementation of Bioware's Infinity Engine.
 GemRB (Game engine made with preRendered Background) is a portable 
 open-source implementation of Bioware's Infinity Engine.
 .
 You need to own the original games in order to play them.
XB-Maemo-Upgrade-Description: Version 0.6.5 changes:
 New features:
    - quickspell support
    - keymap.ini handling
    - yet more unhardcoded PST projectiles
    - area comments, party npc interactions
    - ios port and enhanced touchscreen support
 Improved features:
    - performance
    - squirrels and other small game don't die instantly
    - stores and stacking
    - effects, triggers, actions, dialogs
    - secret door detection, turning undead
    - bugfixes and internal cleanups
 Applied patches:
    ios support patches from Brad Allred
    android and touchscreen patches from Beholder.
XB-Maemo-Display-Name: GemRB
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAEdgAABHYBvT2qxwAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAYISURBVHja7Zt7UFRVHMeBFZCHsLDBiqDM
 iiGLiBQpCEyCOMVDcQER8sEoVkzAENMQYsIoFaZlDsxgQgyaKWM2zTRN03um
 VLRySkfTprQxUAsNexhigoG/fme9S8ty755zl717BfY38/mDmd17ft/P7t57
 7jkXBwBwkAOsIsRbrvEH+5ApfD5yB1GOOwFYy5B+BMadAKw05DYXfnwJwEpE
 bhmFHz8CsGKRGybhx4cArDnIXzzhx74ArDCkSyD82BaApUF+MRN+zAvYTAlv
 F2AXYBdgF2AXYBdgF2AXYBdgFzDaBWC5IpFICrIOqUa+ZhCwG2kUQR1SgaxE
 kpCpsgnAckOykFbkb4awUnGKEz7LJgKw1EgT0iNjaCGOI3GSCOC+5pVI9z0Y
 3BTyrQyymgCsBOTnURDcGPIN1Y1YAFYe0jvKwhsYQMosFoC1gdvAgFFOPeIo
 SgDWtjEQ3JjnmAVg5Y6x8IafQwpVALmeWniJIwMcQZqRGuQj2ns0gdUwI7CR
 Gc2UHRCgKgafSSngPCHAEgl/IiGCArAmIedFHvQnbqd3stipcFZqOzykPQ8J
 kSAajd9JUHu+C27OiWIlfGJOwPMiDkTmA88iLpbeC6zMvA456V0wV9suKnxc
 xE3QqPpgui/oCZj0OSgc/cRISBgmAMtXxCSHzAm0I70ZIgLWLgdYltYJ87SX
 mQVEhpwYDG9gmrIDXBRRrAIO8Ql4ifHNJxB/a9wNGgQQdI9chJjwq0wCQgO/
 GCaAoPHpAWeFllVC0qAALD/GE98VZIq1boeNBRAyki9A7KzfqQKm+53lFUAI
 8j4Njo4TWQQ0GwsoYnjDv0i8NdcDTAUQ0hf+iBKu8wbXLQIoXdcLMWH9ggII
 Kvd6FgGdZHJkaPZDhjc0WXtBhE8AIeXhMzA/ogcWxQAU4N816wH24Ohv779L
 cwNA9P3CAjS+t0HhpGaREE0aded5cMGUXrGLDyMRQFhfdgUO7vs/tCmNdQBR
 GmEJSrcNLAI2kUYzGF64R4olMXMCWl4TDm+g4VWA2cH8AqZ6nwMy/af08BZp
 dDuDAJ0tBTy5Csx++sbUbwOYFXQ3dLDPJZimOgwzg47jeaQHXJwDqZdD0ugB
 hq+/py0FVD7NFt5AeXEnRM0YPpny8oinCfjBgbNg7kUnpVoVFhKw/QVxAorX
 8F8u/ZQraALIozsO5ygv+sBCAZU0AblLfuUVsHuXOAFLF/ILmKwqpAkgJ3/q
 9LfFQgFraQLSk78cFv6p1XdEhX+jSXjCpPJaShNw0YHhBFhnoYBU2rETYw/o
 Q6/O/gPydMegYMVRqCq/BntfZxfw4kZhAZ7uc1lWkSUT8ADt2NFRpVBa+D3U
 Vg3AlmoYZOsmgDeb2QQUruYPPz+iG6fELrRs70kpwJ92bF+fEKitvjMkvIFt
 KGFfC11A+gJ+AWHB77BMhHZKJoCT8B3t+AWrPuMVoJdQA7B/N//v/hW8UlSU
 DEB02Fe8ApSeySwCsqQWsIV2fG1ohqAAwssooWXXTdi5A2BzJUBJwdCTZn52
 H0r4Zujt8tS9LOH7uBUwSQXEsdyb52a2mpWge7RNcMqsP4lm/YMSTunDx4R3
 wQSFikXAp1yPkgpwQq7SxnB19YLykguCApYvuWRWAGGF7gZKOMsy+TFQLLkA
 boBylobU/hFQUdoxLPwzRZep4QlrcvohcuZG1vC/IR62EuDGLT5QG/Nw94Mn
 8g8NEZCX2UYNn7O4A9T3JYhZFC0z6k9aAdwgxazNKZycIT6mbPAnoUs5ajb8
 gthWvOvzFhP+MtnptrUAF+SMmPV7R0cn/RVi/oP1kJp0WH/fkJ99C3LS2yEt
 6QjMCa8CpZfWks2Rx0x6k14AN1CozE+SEBp4+rKNAG6wTBnDH0OcZRXADVgj
 Q/gOJECgH9sK4AYt5TZTbRH+W9N9S9kFcAMvtsGDVu8brvf3nABu8Nnclrq1
 g3dzK1IKhh7kE2DURA7SbqWHIMjzCWoRY8svgGtkIvI48rHJv9eynuTI8n6E
 BePeGwJMmvJB1nCfJtm2O41c4xYxydZ8G3IQqUXmjWSs/wDHL4xdfg+anQAA
 AABJRU5ErkJggg==
