=== gemrb/core/CMakeLists.txt ===
--- 
+++ 
@@ -137,3 +137,8 @@
 	COMPILE_DEFINITIONS
 	"PLUGINDIR=\"${PLUGIN_DIR}\";DATADIR=\"${DATA_DIR}\";SYSCONFDIR=\"${SYSCONF_DIR}\""
 	)
+
+IF (APPLE)
+	SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
+	INSTALL_NAME_DIR ${LIB_DIR})
+ENDIF (APPLE)
