=== debian/changelog ===
gemrb (0.6.6-1) unstable; urgency=low
  New features
    -aura pollution and cleansing, casting interruption
    -formation rotation
    -bounty encounters
    -npclevel.2da support
    -initial mac bundle support
    -fatigue
    -backstab on condition (like in ToBEx)
  Improved features
    -effects, triggers, actions
    -keyboard shortcuts (F1-F12), touchscreen ui, scrolling
    -hitpoint gain, thieving skill boni
    -combat, spellcasting, iwd sounds
    -PST inventory, PST spells
    -bugfixes

  More info: http://www.gemrb.org/
 -- Nerdknight <nerdknight@gmail.com>  Thu, 20 Oct 2011 21:25:37 -0300
