=== debian/control ===
--- 
+++ 
@@ -14,23 +14,22 @@
  open-source implementation of Bioware's Infinity Engine.
  .
  You need to own the original games in order to play them.
-XB-Maemo-Upgrade-Description: Version 0.6.5 changes:
- New features:
-    - quickspell support
-    - keymap.ini handling
-    - yet more unhardcoded PST projectiles
-    - area comments, party npc interactions
-    - ios port and enhanced touchscreen support
- Improved features:
-    - performance
-    - squirrels and other small game don't die instantly
-    - stores and stacking
-    - effects, triggers, actions, dialogs
-    - secret door detection, turning undead
-    - bugfixes and internal cleanups
- Applied patches:
-    ios support patches from Brad Allred
-    android and touchscreen patches from Beholder.
+XB-Maemo-Upgrade-Description: Version 0.6.6 changes:
+ New features
+    -aura pollution and cleansing, casting interruption
+    -formation rotation
+    -bounty encounters
+    -npclevel.2da support
+    -initial mac bundle support
+    -fatigue
+    -backstab on condition (like in ToBEx)
+ Improved features
+    -effects, triggers, actions
+    -keyboard shortcuts (F1-F12), touchscreen ui, scrolling
+    -hitpoint gain, thieving skill boni
+    -combat, spellcasting, iwd sounds
+    -PST inventory, PST spells
+    -bugfixes
 XB-Maemo-Display-Name: GemRB
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
