## gemrb 0.7.0maemo4

=== CMakeLists.txt ===
--- 
+++ 
@@ -201,6 +201,14 @@
 	MESSAGE(WARNING "If you want to build the SDL_mixer plugin, install SDL_mixer first.")
 ENDIF()
 
+INCLUDE(FindSDL_ttf)
+IF(SDLTTF_FOUND)
+	MESSAGE(STATUS "Looking for SDL_ttf: found")
+ELSE()
+	MESSAGE(WARNING "Looking for SDL_ttf: not found!")
+	MESSAGE(WARNING "If you want to build the SDL_ttf plugin, install SDL_ttf first.")
+ENDIF()
+
 INCLUDE(FindPNG)
 IF(PNG_FOUND)
 	MESSAGE(STATUS "Looking for libPNG: found")
@@ -274,6 +282,13 @@
 	SET (MAC_C_FLAGS "${CMAKE_C_FLAGS} -x objective-c -DTARGET_OS_MAC")
 	SET (CMAKE_C_FLAGS ${MAC_C_FLAGS})
 ENDIF(APPLE)
+
+IF (MINGW)
+	SET (WIN32_USE_STDIO Yes)
+ENDIF ()
+if (WIN32_USE_STDIO)
+	SET (NOCOLOR Yes)
+ENDIF()
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake_config.h.in
 	${CMAKE_CURRENT_BINARY_DIR}/config.h ESCAPE_QUOTES)
@@ -322,8 +337,3 @@
 	IMMEDIATE @ONLY
 )
 
-ADD_SUBDIRECTORY( gemrb )
-INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/gemrb.6" DESTINATION ${MAN_DIR} )
-INSTALL( FILES artwork/gemrb-logo.png DESTINATION ${ICON_DIR} RENAME gemrb.png )
-INSTALL( FILES artwork/logo04-rb_only.svg DESTINATION ${SVG_DIR} RENAME gemrb.svg )
-INSTALL( FILES gemrb.desktop DESTINATION ${MENU_DIR} )
