=== gemrb/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 IF(APPLE)
 	SET_SOURCE_FILES_PROPERTIES(
 		CocoaWrapper.h
-		CocoaWrapper.m
+		../apple/CocoaWrapper/mac/CocoaWrapper.m
 		PROPERTIES LANGUAGE C
 	)
 
@@ -12,7 +12,7 @@
 		PROPERTIES MACOSX_PACKAGE_LOCATION Resources
 	)
 	SET(MACOSX_BUNDLE_ICON_FILE gemrb)
-	ADD_EXECUTABLE(gemrb MACOSX_BUNDLE CocoaWrapper.m GemRB.cpp ../artwork/gemrb.icns)
+	ADD_EXECUTABLE(gemrb MACOSX_BUNDLE ../apple/CocoaWrapper/mac/CocoaWrapper.m GemRB.cpp ../artwork/gemrb.icns)
 	SET (BUNDLE_LOADER "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.app/Contents/MacOS/${PROJECT_NAME}") # BUNDLE_LOADER is used by plugins needing to extend the cocoa wrapper (SDLVideo).
 	SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -bundle_loader ${BUNDLE_LOADER}")
 ELSE(APPLE)
