=== gemrb/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 ADD_SUBDIRECTORY( STOImporter )
 ADD_SUBDIRECTORY( TISImporter )
 ADD_SUBDIRECTORY( TLKImporter )
+ADD_SUBDIRECTORY( TTFImporter )
 ADD_SUBDIRECTORY( WAVReader )
 ADD_SUBDIRECTORY( WEDImporter )
 ADD_SUBDIRECTORY( WMPImporter )
