=== gemrb/override/bg2/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (bg2)
