=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Nerdknight <nerdknight@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev
+Build-Depends: debhelper (>= 5), cmake, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev,libsdl-ttf2.0-dev
 Standards-Version: 3.7.2
 Homepage: http://gemrb.sourceforge.net
 
@@ -14,23 +14,19 @@
  open-source implementation of Bioware's Infinity Engine.
  .
  You need to own the original games in order to play them.
-XB-Maemo-Upgrade-Description: Version 0.6.6 changes:
+XB-Maemo-Upgrade-Description: Version 0.7.0 changes:
  New features
-    -aura pollution and cleansing, casting interruption
-    -formation rotation
-    -bounty encounters
-    -npclevel.2da support
-    -initial mac bundle support
-    -fatigue
-    -backstab on condition (like in ToBEx)
+    -one can play through the whole Baldur's Gate saga
+    -custom TTF fonts support
+    -arbitrarily sortable casting list
+    -ios configuration interface, xcode project
+    -more pst spawn ini flags, individual critical hit animations
  Improved features
-    -effects, triggers, actions
-    -keyboard shortcuts (F1-F12), touchscreen ui, scrolling
-    -hitpoint gain, thieving skill boni
-    -combat, spellcasting, iwd sounds
-    -PST inventory, PST spells
-    -bugfixes
+    -resting, comment timing, actions
+    -drop caps, keybindings, sdl 1.3 input
+    -bugfixes, cleanups
 XB-Maemo-Display-Name: GemRB
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=1153973
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAEdgAABHYBvT2qxwAAABl0RVh0U29mdHdhcmUAd3d3
