## gemrb 0.7.0-maemo1

=== debian/changelog ===
gemrb (0.7.0-maemo1) unstable; urgency=low
  New features
    -one can play through the whole Baldur's Gate saga
    -custom TTF fonts support
    -arbitrarily sortable casting list
    -ios configuration interface, xcode project
    -more pst spawn ini flags, individual critical hit animations

  Improved features
    -resting, comment timing, actions
    -drop caps, keybindings, sdl 1.3 input
    -bugfixes, cleanups

  More info: http://www.gemrb.org/
 -- Nerdknight <nerdknight@gmail.com>  Sun, 8 Jan 2011 13:10:37 -0300
