=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Nerdknight <nerdknight@gmail.com>
-Build-Depends: debhelper (>= 5), cmake, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev,libsdl-ttf2.0-dev
+Build-Depends: debhelper (>= 5), cmake, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev
 Standards-Version: 3.7.2
 Homepage: http://gemrb.sourceforge.net
 
@@ -26,7 +26,6 @@
     -drop caps, keybindings, sdl 1.3 input
     -bugfixes, cleanups
 XB-Maemo-Display-Name: GemRB
-XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=1153973
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAEdgAABHYBvT2qxwAAABl0RVh0U29mdHdhcmUAd3d3
