## gemrb 0.7.0-maemo2

=== gemrb/core/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	FactoryObject.cpp
 	FileCache.cpp
 	Font.cpp
+	FontManager.cpp
 	Game.cpp
 	GameData.cpp
 	GlobalTimer.cpp
