=== gemrb/plugins/TTFImporter/CMakeLists.txt ===
IF (SDLTTF_LIBRARY)
	INCLUDE_DIRECTORIES( ${SDL_INCLUDE_DIR} ${SDLTTF_INCLUDE_DIR})

	ADD_GEMRB_PLUGIN (TTFImporter TTFFontManager.cpp )
	TARGET_LINK_LIBRARIES( TTFImporter ${SDL_LIBRARY} ${SDLTTF_LIBRARY} )
ENDIF (SDLTTF_LIBRARY)
