=== debian/changelog ===
gemrb (0.7.0-maemo2) unstable; urgency=low
  New features
    -one can play through the whole Baldur's Gate saga
    -custom TTF fonts support
    -arbitrarily sortable casting list
    -ios configuration interface, xcode project
    -more pst spawn ini flags, individual critical hit animations

  Improved features
    -resting, comment timing, actions
    -drop caps, keybindings, sdl 1.3 input
    -bugfixes, cleanups

  More info: http://www.gemrb.org/
  Maemo:
    -Added libsdl-ttf2.0-dev to build dependency 
 -- Nerdknight <nerdknight@gmail.com>  Mon, 23 Jan 2012 20:08:00 -0300
